[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Enigma-devel] Enigma svn head, level stats mechanism broken?

From: Tacvek
Subject: Re: [Enigma-devel] Enigma svn head, level stats mechanism broken?
Date: Mon, 5 Jun 2006 13:36:04 -0400

----- Original Message ----- From: "Ronald Lamprecht" <address@hidden>
To: "Tacvek" <address@hidden>
Cc: <address@hidden>
Sent: Monday, June 05, 2006 6:32 AM
Subject: Re: [Enigma-devel] Enigma svn head, level stats mechanism broken?


Tacvek wrote:
Ok. It appears that recent versions of the mingw32 debian package do not append '.exe' to the name of created exectuable. This is valid, but means that software like enigma have to check for and manually rename the executable's as needed. So to fix this, mingw32-dist.sh should check whether 'enigma.exe' exists, if it does not but 'enigma' does exist, it should do "cp enigma enigma.exe".

Sigh. what was the MingW people thinking?

Just another MingW lesson.

I suspect this change may not have been accidental. After all, when making an object file "-o somefile", creates "somefile" not "somefile.o", so it seems within
reason that "-o somefile" should work the same when creating an executable.

However, doing that also seems likely to break other applications that depend
on the original behavior.

I learned *NEVER* to upgrade to a candidate or a recent released MingW version - all MingW versions released within the last year have been withdrawn within a few weeks due to serious trouble they caused. May be Debian uses such a meanwhile withdrawn version.

I was using an out of date MingW32 for a long time. In fact I was using the
exact same version as Daniel was using. I was eventually forced to upgrade
when Xerces hit some obsure bug in that version. So I told aptitude to upgrade my MingW32 package to the latest version. As I'm using sid, this will be the latest version released. Debian rarely reverts to an older version of the package, because that confuses
the package management system. So I currently have MingW

Thus I stick to the MingW gcc 3.4.2-20040916 version, which is meanwhile again the official "current" MingW version. Some time ago I added in the repository "etc/build-cross.sh" to setup a stable cross compilation environment.

I try to avoid installing non-debain packages outside of /usr/local, as
/usr is reserved for use by the package manager. That said, the subfolder of
/usr/ for mingw32 does contain some files not from Debian packages, but only
because It must, as debain does not have MingW32 packages for

As far as I remember Daniel once suggested that we should put a compatible set of the Enigma required *.dll on a download server. Perhaps we should put them together with the above mentioned MingW version on the Berlios developer ftp-server.

Indeed. I belive the DLL's I have in "enigma-devel/+build" either came fron Daniel, or were copied from a 0.8x install, I don't rember which. They work fine, despite the fact that they probably do not match the DLL's in the lib folder, or the headers I have

- Ronald

reply via email to

[Prev in Thread] Current Thread [Next in Thread]